Skip to content

View employee transaction statement

Request

Security
oauth2ClientCredentials(Required scopes: employees:read)
Query
employee_idstringrequired

Employee identifier

pagenumber

Page number (minimum: 1)

Example:page=1
limitnumber

Number of items per page (minimum: 1, maximum: 1000)

Example:limit=20
fromstring

Start date filter (ISO 8601 format)

Example:from=2024-01-01T00:00:00Z
tostring

End date filter (ISO 8601 format)

Example:to=2024-12-31T23:59:59Z
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/employees/view-statement?employee_id=string&page=1&limit=20&from=2024-01-01T00%3A00%3A00Z&to=2024-12-31T23%3A59%3A59Z' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Paginated employee statement

Bodyapplication/json
docsArray of objects(StatementItemDto)required

Statement transaction documents

totalnumberrequired

Total count

pagenumberrequired

Current page

limitnumberrequired

Limit per page

pagesnumberrequired

Total pages

Response
{ "docs": [ {} ], "total": 0, "page": 0, "limit": 0, "pages": 0 }